import greenfoot.*;
import java.util.Random;  

public class MyWorld extends World {

    private int countAmbulance = 0;
    private int countRedCar = 500;
    private int countGreenCar = 50;
    private int score = 0;

    public MyWorld(){    
        super(400, 600, 1);

        Car car = new Car();
        addObject(car, 200,450);

        Grama gramaDireita = new Grama();
        Grama gramaEsquerda = new Grama();
        addObject(gramaDireita, 400,300);
        addObject(gramaEsquerda, 0,300);

        Faixa faixa1 = new Faixa();
        Faixa faixa2 = new Faixa();
        Faixa faixa3 = new Faixa();
        Faixa faixa4 = new Faixa();

        addObject(faixa1, 200,100); 
        addObject(faixa2, 200,250);
        addObject(faixa3, 200,400);
        addObject(faixa4, 200,550);

        setActOrder(Faixa.class, Grama.class, Car.class);
        showText(score+"km", 80,20);

    }

    public void act() {
        countAmbulance++;
        countRedCar++;
        countGreenCar++;

        if(countAmbulance > 1000) {
            addObject(new Ambulance(),getRandomPosition(150, 250),600);
            countAmbulance=0;
            countGreenCar=0;
            setScore();
        }

        if(countRedCar > 1000) {
            addObject(new CarRed(),getRandomPosition(150, 250),0);
            countRedCar=0;
        }

        if(countGreenCar > 600) {
            int x = this.getObjects(Car.class).get(0).getX();
            addObject(new CarGreen(),x,0);
            countGreenCar=0;
        }

        if(score > 2) {
            Greenfoot.setSpeed(55);
        }
    }

    public int getRandomPosition(int min, int max) {
        return new Random().nextInt((max-min)+1) + min;
    }

    public void setScore() {
        score++;
        showText(score+"km", 80,20);
    }


}
