import greenfoot.*;
import java.util.List;  

public class Vehicle extends Actor {

    public void explode() {
       getMyWorld().addObject(new Explosao(),this.getX(),getY());
       removeThis();
    }
    
    public boolean colisao(){
      boolean isTouch = this.isTouching(Car.class);
      
      if(isTouch) {
        List<Car> Cars = this.getIntersectingObjects(Car.class);
        Cars.get(0).explode();
        explode();
      }
      return isTouch;
    }
    
    public void movieDown(int velocidade){
      if(this.getY() >= 599) {
         removeThis();
         return;
      }
      this.setLocation(this.getX(),this.getY()+velocidade);
    }
    
    public void movieUp(int velocidade){
      if(getY() == 5) {
        removeThis();
        return;
      }
      this.setLocation(this.getX(),this.getY()-velocidade);
    }
    
    public MyWorld getMyWorld() {
      return (MyWorld) this.getWorld();
    }
    
    public void removeThis() {
      getMyWorld().removeObject(this);  
    }
}
